# Generated from sprockets-2.4.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sprockets

Summary: Rack-based asset packaging system
Name: rubygem-%{gem_name}
Version: 2.8.2
Release: 5%{?dist}
Group: Development/Languages
License: MIT
URL: http://getsprockets.org/
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
# to get tests:
# git clone https://github.com/sstephenson/sprockets.git && cd sprockets/
# git checkout v2.8.2 && tar czf sprockets-tests-2.8.2.tgz test/
Source1: sprockets-%{version}-tests.tgz
# Fix CVE-2014-7819: Arbitrary file existence disclosure
Patch0: rubygem-sprockets-2.12.3-CVE-2014-7819.patch
Requires: ruby(release)
Requires: ruby(rubygems)
Requires: rubygem(hike) => 1.2
Requires: rubygem(hike) < 2
Requires: rubygem(multi_json) => 1.0
Requires: rubygem(multi_json) < 2
Requires: rubygem(rack) => 1.0
Requires: rubygem(rack) < 2
Requires: rubygem(tilt) => 1.1
Requires: rubygem(tilt) < 2
Conflicts: rubygem(tilt) = 1.3.0
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildRequires: rubygem(coffee-script)
# these two gems aren't in Fedora yet and are only soft dependencies
# BuildRequires: rubygem(eco)
# BuildRequires: rubygem(ejs)
BuildRequires: rubygem(execjs)
BuildRequires: rubygem(hike) => 1.2
BuildRequires: rubygem(hike) < 2
BuildRequires: rubygem(minitest)
BuildRequires: rubygem(uglifier)
BuildRequires: rubygem(multi_json)
BuildRequires: rubygem(rack) => 1.0
BuildRequires: rubygem(rack) < 2
BuildRequires: rubygem(rack-test)
BuildRequires: rubygem(rake)
BuildRequires: rubygem(sass)
BuildRequires: rubygem(therubyracer)
BuildRequires: rubygem(tilt) => 1.1
BuildRequires: rubygem(tilt) < 2
BuildConflicts: rubygem(tilt) = 1.3.0
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Sprockets is a Rack-based asset packaging system that concatenates and serves
JavaScript, CoffeeScript, CSS, LESS, Sass, and SCSS.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -q -c -T
%gem_install -n %{SOURCE0}

# Install test files
tar xzf %{SOURCE1} -C .%{gem_instdir}

pushd .%{gem_instdir}
%patch0 -p1
popd

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# 4 errors due to missing Gems "eco" and "ejs"
# 1 failure in test "read ASCII asset"(EncodingTest).
# https://github.com/sstephenson/sprockets/issues/418
testrb -Ilib test | grep '447 tests, 1164 assertions, 1 failures, 4 errors, 0 skips'
popd

%files
%dir %{gem_instdir}
%doc %{gem_instdir}/LICENSE
%{_bindir}/sprockets
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
# Not part of upstream release
%exclude %{gem_instdir}/test
%{gem_spec}

%files doc
%doc %{gem_instdir}/README.md
%doc %{gem_docdir}

%changelog
* Tue Nov 18 2014 Josef Stribny <jstribny@redhat.com> - 2.8.2-5
- Fix CVE-2014-7819 (rhbz#1164331)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Mar 08 2013 Vít Ondruch <vondruch@redhat.com> - 2.8.2-3
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Dec 11 2012 Josef Stribny <jstribny@redhat.com> - 2.8.2-1
- Upgraded to version 2.8.2
- Added rubygem-uglifier build dependency

* Wed Jul 18 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 2.4.5-1
- Initial package
